All Resources All filters

# ThreadStat

The ThreadStat resource allows you to monitor the current set of threads running inside the server process. This is useful for debugging purposes. It also gives some feedback on memory usage.

## Inherits

The ThreadStat class inherits from the following classes:

- HTTPResource

## Attributes description

The ThreadStat defines the following attributes:

- refresh

`refresh`

semantics
  At what interval should the thread listing refresh itself. When available, this resource uses the Refresh header to make itself refresh regularly. This attribute gives the period of this refresh in seconds.
type
  This attribute is an editable IntegerAttribute.
default value
  This attribute defaults to 5.

Jigsaw Team
$Id: w3c.jigsaw.status.ThreadStat.html,v 1.1 1996/04/18 02:35:01 abaird Exp $